org.springframework.test.context.junit4.statements

## Class RunAfterTestClassCallbacks

- java.lang.Object
- - org.junit.runners.model.Statement
  - - org.springframework.test.context.junit4.statements.RunAfterTestClassCallbacks

    public class RunAfterTestClassCallbacks
    extends org.junit.runners.model.Statement

`RunAfterTestClassCallbacks` is a custom JUnit 4.5+ `Statement` which allows the Spring TestContext Framework to be plugged into the JUnit execution chain by calling `afterTestClass()` on the supplied `TestContextManager`.

Since:
  3.0
Author:
  Sam Brannen
See Also:
  `evaluate()`, `RunBeforeTestMethodCallbacks`

### Constructor Summary

Constructors
Constructor and Description
`RunAfterTestClassCallbacks(org.junit.runners.model.Statement next, TestContextManager testContextManager)` Constructs a new `RunAfterTestClassCallbacks` statement.

### Method Summary

Methods
`void` `evaluate()` Invokes the next `Statement` in the execution chain (typically an instance of `RunAfters`), catching any exceptions thrown, and then calls `TestContextManager.afterTestClass()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunAfterTestClassCallbacks

    public RunAfterTestClassCallbacks(org.junit.runners.model.Statement next,
                              TestContextManager testContextManager)

Constructs a new `RunAfterTestClassCallbacks` statement.

Parameters:
  `next` - the next `Statement` in the execution chain
  `testContextManager` - the TestContextManager upon which to call `afterTestClass()`

### Method Detail

#### evaluate

    public void evaluate()
                  throws Throwable

Invokes the next `Statement` in the execution chain (typically an instance of `RunAfters`), catching any exceptions thrown, and then calls `TestContextManager.afterTestClass()`. If the call to `afterTestClass()` throws an exception, it will also be tracked. Multiple exceptions will be combined into a `MultipleFailureException`.

Specified by:
  `evaluate` in class `org.junit.runners.model.Statement`
Throws:
  `Throwable`